Skip to main content
POST
/
trade
Place Trade
curl --request POST \
  --url https://staging-api.polysimulator.com/trade \
  --header 'Content-Type: application/json' \
  --data '
{
  "market_id": "<string>",
  "outcome": "<string>",
  "side": "BUY",
  "quantity": 500000,
  "client_order_id": "<string>",
  "expected_price": 0.5,
  "max_slippage_bps": 5000
}
'
{
  "order_id": 123,
  "status": "<string>",
  "price": 123,
  "quantity": 123,
  "notional": 123,
  "fee": 123,
  "account_balance": 123,
  "position": {
    "market_id": "<string>",
    "outcome": "<string>",
    "quantity": 123,
    "avg_entry_price": 123,
    "status": "<string>"
  }
}

Headers

Idempotency-Key
string | null
authorization
string | null

Query Parameters

Body

application/json
market_id
string
required

Polymarket condition_id

Maximum string length: 256
outcome
string
required

Outcome label, e.g., Yes or No

Maximum string length: 200
side
enum<string>
required
Available options:
BUY,
SELL
quantity
required

Number of shares

Required range: 0 < x <= 1000000
client_order_id
string | null

Idempotency key

Maximum string length: 256
expected_price
number | null

Price user saw at click-time for slippage protection

Required range: 0 <= x <= 1
max_slippage_bps
integer | null

Max acceptable slippage in basis points (100 = 1%)

Required range: 0 <= x <= 10000

Response

Successful Response

order_id
integer
required
status
string
required
price
number
required
quantity
number
required
notional
number
required
fee
number
required
account_balance
number
required
position
PositionSnapshot · object
required